[FIXED] problem in running ngx-admin dashboard for angular

Issue

i have problems below when installing node modules.pls help
Angular CLI: 13.3.0
Node: 16.14.2
here is list of problems

any help will be highly appreciated

Solution

Sounds like the package need node 14, and your machine is on node 16.

I suggest to install nvm: https://github.com/nvm-sh/nvm, which will allow you to switch between node versions easily.

Then use in a terminal

$ nvm install 14
$ nvm use 14
$ npm install

And it’ll work

Answered By – Antoine Xevlabs

Answer Checked By – Katrina (Easybugfix Volunteer)

Leave a Reply

(*) Required, Your email will not be published